%define anolis_release 1
# Expected failures in mock, hangs in koji
%bcond_with tests
# The *.py files we ship are not python scripts, #813651
%global _python_bytecompile_errors_terminate_build 0

Name:           bash-completion
Version:        2.11
Release:        %{anolis_release}%{?dist}
Epoch:          1
Summary:        Programmable completion for Bash

License:        GPLv2+
URL:            https://github.com/scop/bash-completion
Source0:        https://github.com/scop/bash-completion/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch
%if %{with tests}
BuildRequires:  dejagnu
BuildRequires:  screen
BuildRequires:  tcllib
%endif
BuildRequires:  make
Requires:       bash >= 4.1

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of bash.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# Updated completion shipped in cowsay package:
rm %{buildroot}%{_datadir}/bash-completion/completions/{cowsay,cowthink}

# Bug 1819867 - conflict over the makepkg name with pacman
rm %{buildroot}%{_datadir}/bash-completion/completions/makepkg

# Bug 2088307 - Remove completions for prelink
rm %{buildroot}%{_datadir}/bash-completion/completions/prelink

%check
# For some tests involving non-ASCII filenames
export LANG=C.UTF-8
%if %{with tests}
# This stuff borrowed from dejagnu-1.4.4-17 (tests need a terminal)
tmpfile=$(mktemp)
screen -D -m sh -c '( make check ; echo $? ) >'$tmpfile
cat $tmpfile
result=$(tail -n 1 $tmpfile)
rm -f $tmpfile
exit $result
%else
make -C completions check
%endif


%files
%license COPYING
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_datadir}/bash-completion/
%{_datadir}/cmake/
%{_datadir}/pkgconfig/bash-completion.pc

%files doc
%doc AUTHORS CHANGES CONTRIBUTING.md README.md
%doc doc/bash_completion.txt

%changelog
* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 1:2.11-1
- Import package for anolis 23
